// ResourceKey.h: interface for the TResourceKey class.
//

#if !defined(_TRESOURCE_KEY_H_)
#define _TRESOURCE_KEY_H_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


//////////////////////////////////////////////////////////////////////
// TResourceKey Class
//

class TResourceKey
{
   // Constructors and destructor.
   public:
   TResourceKey(HINSTANCE hNew) 
         {m_hOld = AfxGetResourceHandle(); m_hNew = hNew; Set();};
   TResourceKey(const AFX_EXTENSION_MODULE& hExtMod) 
         {m_hOld = AfxGetResourceHandle(); m_hNew = hExtMod.hModule; Set();};
   virtual ~TResourceKey() {Reset();};

   // Methods
   public:
   void Set() {AfxSetResourceHandle(m_hNew);};
   void Reset() {AfxSetResourceHandle(m_hOld);};

   // Attributes
   protected:
   HINSTANCE m_hNew;
   HINSTANCE m_hOld;
};

#endif // !defined(_TRESOURCE_KEY_H_)
