#ifndef _Utils_H_
#define _Utils_H_

#undef DECL
#ifdef UTILS_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif

// The global dll info structure.
extern AFX_EXTENSION_MODULE UtilsDLL;

extern "C" LPCTSTR DECL GetUtilsVersion();
extern "C" LPCTSTR DECL GetUtilsPath();

bool DECL inpn(DWORD Addr, void* Data, DWORD Len);
bool DECL outn(DWORD Addr, void* Data, DWORD Len);

inline BYTE inp(DWORD Addr)
{
   BYTE Data;
   inpn(Addr, &Data, sizeof(Data));
   return Data;
}

inline WORD inpw(DWORD Addr)
{
   WORD Data;
   inpn(Addr, &Data, sizeof(Data));
   return Data;
}

inline DWORD inpd(DWORD Addr)
{
   DWORD Data;
   inpn(Addr, &Data, sizeof(Data));
   return Data;
}

inline bool out(DWORD Addr, BYTE Data)
{
   return outn(Addr, &Data, sizeof(Data));
}

inline bool outw(DWORD Addr, WORD Data)
{
   return outn(Addr, &Data, sizeof(Data));
}

inline bool outd(DWORD Addr, DWORD Data)
{
   return outn(Addr, &Data, sizeof(Data));
}

CString DECL GetLastErrorMsg();

#endif
